SystemOrganization addCategory: #ConfigurationOfLumiere!

Object subclass: #ConfigurationOfLumiere
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfLumiere'!

!ConfigurationOfLumiere class methodsFor: 'metacello' stamp: 'tg 12/11/2009 12:51'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				addPackage: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfLumiere class methodsFor: 'metacello' stamp: 'tg 12/11/2009 12:51'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfLumiere class methodsFor: 'metacello' stamp: 'tg 12/11/2009 12:52'!
loadDefault
	(self project version: 'default') load! !

!ConfigurationOfLumiere class methodsFor: 'metacello' stamp: 'tg 12/11/2009 12:52'!
project
	^ self new project! !

!ConfigurationOfLumiere methodsFor: 'baseline' stamp: 'tg 12/11/2009 12:58'!
default: spec 
	<version: 'default'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/Lumiere'.
		spec 
		 	package: 'Lumiere-Support';
			package: 'Lumiere-ViewingVolumes';
			package: 'Lumiere-Modeling';
			package: 'Lumiere-Morphic';
			package: 'Lumiere-SceneGraph';
			package: 'Lumiere-Stage';
			package: 'Lumiere-Drawing';		
			package: 'Lumiere-Examples';
			package: 'Lumiere-Tests'.
		spec
			project: 'AlienOpenGL' with: [
				spec
					className: 'ConfigurationOfAlienOpenGL';
					file: 'ConfigurationOfAlienOpenGL';
					version: 'default';
					repository: 'http://www.squeaksource.com/AlienOpenGL' ].
	]! !

!ConfigurationOfLumiere methodsFor: 'private' stamp: 'tg 12/11/2009 12:52'!
project
	^ project ifNil: [ | constructor |
		self class ensureMetacello.
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project ]! !
